summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJonathan Liu2015-06-19 11:53:35 +1000
committerJonathan Liu2015-06-19 11:53:35 +1000
commitf3326d8a521da26eac0aca822972862f1d2f2a8f (patch)
tree07b8af2d860d31b1d1a5f75aa9b4c78833908c50
downloadaur-libcm.tar.gz
Initial import
-rw-r--r--.SRCINFO19
-rw-r--r--PKGBUILD19
2 files changed, 38 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..f0392376128
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,19 @@
+pkgbase = libcm
+ pkgdesc = A compositing manager library
+ pkgver = 0.1.1
+ pkgrel = 1
+ url = http://ftp.gnome.org/pub/GNOME/sources/libcm/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ depends = glib2
+ depends = libgl
+ depends = libxcomposite
+ depends = libxdamage
+ depends = mesa
+ options = !libtool
+ source = http://ftp.gnome.org/pub/GNOME/sources/libcm/0.1/libcm-0.1.1.tar.bz2
+ md5sums = a975d0a913dd882c0a93487b534782bc
+
+pkgname = libcm
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..4487d2e3518
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,19 @@
+# Contributor: Jonathan Liu <net147@gmail.com>
+pkgname=libcm
+pkgver=0.1.1
+pkgrel=1
+pkgdesc="A compositing manager library"
+arch=(i686 x86_64)
+url="http://ftp.gnome.org/pub/GNOME/sources/libcm/"
+license=('GPL')
+depends=('glib2' 'libgl' 'libxcomposite' 'libxdamage' 'mesa')
+options=(!libtool)
+source=(http://ftp.gnome.org/pub/GNOME/sources/libcm/0.1/$pkgname-$pkgver.tar.bz2)
+md5sums=('a975d0a913dd882c0a93487b534782bc')
+
+build() {
+ cd "$startdir/src/$pkgname-$pkgver"
+ ./configure --prefix=/usr --disable-static
+ make || return 1
+ make DESTDIR="$startdir/pkg" install
+}